package com.test.functions;

import org.apache.commons.lang3.StringUtils;

import com.grapecity.documents.excel.CustomFunction;
import com.grapecity.documents.excel.FunctionValueType;
import com.grapecity.documents.excel.ICalcContext;
import com.grapecity.documents.excel.IRange;
import com.grapecity.documents.excel.IWorksheet;
import com.grapecity.documents.excel.Parameter;

public class FilterRowCondition extends CustomFunction {
        public FilterRowCondition() {
            super("FilterRow", FunctionValueType.Object,CreateParameters());
        }

        static Parameter[] CreateParameters()
        {
        Parameter[] parameters = new Parameter[254];
        for (int i = 0; i < 254; i++)
        {
        parameters[i] = new Parameter(FunctionValueType.Object);
        }
        return parameters;
        }
        @Override
        public Object evaluate(Object[] arguments, ICalcContext context) {
        	//IWorksheet worksheet = context.getWorksheet();
        	Object[][] arg=(Object[][])arguments[0];
        	//IRange range = null;
        	//System.out.println("---- "+getValue(arg[0],0)+"  "+getValue(arg[0],1)+"  "+getValue(arg[0],2));
        	String value = getValue(arg[0],1);
        	if(value==null || StringUtils.isEmpty(value.trim())) {
        	 //range = worksheet.getRange(context.getRow(),context.getColumn());
        	// System.out.println(range.getAddress());
        	 return "DELETE";
        	 //worksheet.getRows().get(range.getRow()).delete();
        	}
        	//range.setValue(range.getValue());
            return "-";
        }
        
        public String getValue(Object[] arguments,int index) {
        	if(arguments.length>index) {
        		if(arguments[index]==null) {
        			return null;
        		}
            	return arguments[index].toString();	
        	}else {
        		return null;
        	}
        }
}


        